Copy folders to a new destination folder/team/user.

POST
https://api.datawrapper.de/v3/folders/copy

Requires scope folder:write.

Example Request

curl --request POST \
  --url https://api.datawrapper.de/v3/folders/copy \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "folders": [
    0
  ]
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Request Body

FieldTypeRequiredDescription
destinationobjectNo
destination.folderIdnumberYesID of the folder that the folders should be copied into. The authenticated user must have access to this folder. Null is the root folder of user or team.
destination.teamIdstringNoID of the team that owns the destination folder and will own the copied folders and charts. If folderId is provided the team owning this folder must match with this ID. The authenticated user must have access to this team. Null is the user's private archive.
destination.workspacestringNoSlug of the workspace that the destination of the folder belongs to. The authenticated user must have access to this workspace.
foldersnumber[]YesIDs of folders that should be moved to the new destination. Must be accessible by the authenticated user. Not more than 100 are allowed per request.